﻿;-------------------------------------------------------------------------------
; Choose word list.ahk
; by wolf_II
;-------------------------------------------------------------------------------



#NoEnv
#SingleInstance, Force
SetWorkingDir, %A_ScriptDir%
SplitPath, A_ScriptName,,,, AppName


    ; construct TxtFile_List
    TxtFile_List := []
    Loop, Files, Word lists\*.txt
        TxtFile_List.Push(A_LoopFileName)


    ; construct Prompt
    Prompt := "Select one of the following: (1 .. " TxtFile_List.Length() ")`n"
    For each, TextFile in TxtFile_List
        Prompt .= "`n" A_Index ": " TextFile


    ; show dialog
    InputBox, Answer, %AppName%, %Prompt%,, 350, 220,,,,, 1
    IfEqual, ErrorLevel, 1, ExitApp ; user cancelled dialog


    ; still here?
    ChosenFile := TxtFile_List[Answer]
    FileCopy, Word lists\%ChosenFile%, Words.txt, 1 ; overwrite


ExitApp
