﻿;-------------------------------------------------------------------------------
; Find certain anagrams.ahk
; by wolf_II
;-------------------------------------------------------------------------------
; search for anagrams with a certain word length
;-------------------------------------------------------------------------------



#NoEnv
#SingleInstance, Force
SetWorkingDir, %A_ScriptDir%

    Gui, -Caption +0x400000 ; 3D border
    Gui, Margin, 0, 0
    Gui, Add, Progress, w60 vLoading Vertical
    Gui, Add, Text, xm y40 wp vInput Center BackgroundTrans
    Gui, Show
    Make_DICT()
    Gui, Destroy

    Len := 8, Num := 6
    Loop {
        InputBox, Len,, Enter the length of the anagram to find:,,,,,,,, %Len%
        IfEqual, ErrorLevel, 1, Break ; user cancelled dialog
        InputBox, Num,, Enter the number of anagrams to find:,,,,,,,, %Num%
        IfEqual, ErrorLevel, 1, Break ; user cancelled dialog

        For each, Keyword in DICT[Len]
            If Keyword.Length() >= Num {
                txt .= "`n"
                For each, Anagram in Keyword
                    txt .= " " Anagram
            }

        EditBox("txt", 50, 50, 800, 600)
    }

ExitApp



#Include, Include\MainCode.ahk ; make_Keyword()
#Include, Include\Make_DICT.ahk
#Include, <EditBox>
